EDIT - bug #7477

TeamOrPersonField: ToManyRelatedEntitiesListSelect blocks removing new entries
06/14/2018 05:37 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 50%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.1

Severity: critical Found in Version:

Description

after adding a new entry the remove (-) button is disabled. Newly created Persons can not be removed.

Team members

The attempt to save an editor in this state causes an exception (#7475 )

Related issues:
Related to EDIT - bug #7475: error when saving Reference editor with new empt... Closed

Associated revisions

Revision 06b79df2 - 06/14/2018 05:54 PM - Andreas Kohlbecker

fix #7477 ToManyRelatedEntitiesListSelect remove button always enabled

History

#1 - 06/14/2018 05:38 PM - Andreas Kohlbecker

- Description updated

#2 - 06/14/2018 05:38 PM - Andreas Kohlbecker

- Related to bug #7475: error when saving Reference editor with new empty Person in Team when OK or NEW was not pressed added

#3 - 06/14/2018 05:54 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|06b79df2f504001e832078bd928212071f1226¢cc.

#4 - 06/14/2018 05:56 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

Now additional entries can be be removed except of the last one. there must always at least one entry.
https://dev.e-taxonomy.eu/redmine/issues/7475
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/06b79df2f504001e832078bd928212071f1226cc

@Henning: please test.

#5 - 06/15/2018 03:17 PM - Wolf-Henning Kusber

Add & delete of team members bei section mdglich.

Auch der letzte verbleibende author kann geléscht werden. Es gibt dann keinen Speicherfehler, aber aus der Anzeige wird klar, dass ein

Eingabefehler vorliegt.

-empty team- - in Kusber, W.-H., Genera und ihre Typusarten zum Testen des Name type editors in Diatom Research 111: 222-333. 2019

Auf dem jetzigen Stand sollten User damit leben kénnen.

#6 - 06/15/2018 04:33 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

ok, prima, dann schlieBe ich das Ticket.

Files
picture220-1.png 43.3 KB 06/14/2018 Andreas Kohlbecker
04/11/2024 2/2


http://www.tcpdf.org

